diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
index b6585226a..ea1b89ba6 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
@@ -69,7 +69,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         ArrayList<TilePos> toUpdate = new ArrayList<>(this.toUpdate);
         this.toUpdate.clear();
         for (TilePos pos : toUpdate) {
-            world.notifyBlocksOfNeighborChange(pos, id());
+            world.notifyBlocksOfNeighborChange(pos, this.block);
         }
     }
 
@@ -114,9 +114,9 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
             }
         }
         if (strength != newStrength) {
-            int blockId = world.getBlockId(curPos);
-            if (blockId == id() || blockId == Blocks.FLUID_LAVA_STILL.id() || blockId == Blocks.FLUID_LAVA_FLOWING.id()) { // Intentionally keeping lava transmutation, do not delete carelessly
-                world.noNeighborUpdate = true;
+            final @NotNull Block<?> block = world.getBlockType(curPos);
+            if (block == this.block || block == Blocks.FLUID_LAVA_STILL || block == Blocks.FLUID_LAVA_FLOWING) { // Intentionally keeping lava transmutation, do not delete carelessly
+                world.noNeighborUpdate = true;                                                                   //                                                             only carefully
                 world.setBlockDataNotify(curPos, newStrength | (world.getBlockData(curPos) & MASK_DIRECTION));
                 world.markBlocksDirty(curPos, curPos);
                 world.noNeighborUpdate = false;
@@ -165,15 +165,15 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     private void checkCornerChangeAt(@NotNull World world, @NotNull TilePosc tilePos) {
-        if (world.getBlockId(tilePos) == id()) {
+        if (world.getBlockType(tilePos) == this.block) {
             TilePos queryPos = new TilePos();
-            world.notifyBlocksOfNeighborChange(tilePos, id());
-            world.notifyBlocksOfNeighborChange(tilePos.west(queryPos), id());
-            world.notifyBlocksOfNeighborChange(tilePos.east(queryPos), id());
-            world.notifyBlocksOfNeighborChange(tilePos.north(queryPos), id());
-            world.notifyBlocksOfNeighborChange(tilePos.south(queryPos), id());
-            world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
-            world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
+            world.notifyBlocksOfNeighborChange(tilePos, this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.west(queryPos), this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.east(queryPos), this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.north(queryPos), this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.south(queryPos), this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), this.block);
+            world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), this.block);
         }
     }
 
@@ -187,8 +187,8 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
 
         //        updatePowerStrength(world, x, y, z);
         world.getWireHandler().onWireAdded(tilePos);
-        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
-        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
+        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), this.block);
+        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), this.block);
         checkCornerChangeAt(world, tilePos.west(queryPos));
         checkCornerChangeAt(world, tilePos.east(queryPos));
         checkCornerChangeAt(world, tilePos.north(queryPos));
@@ -223,10 +223,10 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         }
 
         TilePos queryPos = new TilePos();
-        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), id());
-        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), id());
+        world.notifyBlocksOfNeighborChange(tilePos.up(queryPos), this.block);
+        world.notifyBlocksOfNeighborChange(tilePos.down(queryPos), this.block);
 //        updatePowerStrength(world, x, y, z);
-        world.getWireHandler().onWireRemoved(tilePos, new BlockState(this.id(), world.getBlockData(tilePos)));
+        world.getWireHandler().onWireRemoved(tilePos, new BlockState(this.block, world.getBlockData(tilePos)));
         checkCornerChangeAt(world, tilePos.west(queryPos));
         checkCornerChangeAt(world, tilePos.east(queryPos));
         checkCornerChangeAt(world, tilePos.north(queryPos));
@@ -254,7 +254,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     private int checkTarget(@NotNull World world, @NotNull TilePos tilePos, int sourceStrength) {
-        if (world.getBlockId(tilePos) != id()) {
+        if (world.getBlockType(tilePos) != this.block) {
             return sourceStrength;
         }
 
@@ -263,7 +263,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     @Override
-    public void onNeighborChanged(@NotNull World world, @NotNull TilePosc tilePos, int id) {
+    public void onNeighborChanged(@NotNull World world, @NotNull TilePosc tilePos, final @NotNull Block<?> block) {
         if (world.isClientSide || world.getWireHandler().onWireUpdated(tilePos)) {
             return;
         }
@@ -271,11 +271,11 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         int strength = world.getBlockData(tilePos);
         if (!canPlaceAt(world, tilePos)) {
             dropWithCause(world, EnumDropCause.WORLD, tilePos, strength, null, null);
-            world.setBlockIdNotify(tilePos, 0);
+            world.setBlockTypeNotify(tilePos, Blocks.AIR);
         } else {
             updatePowerStrength(world, tilePos);
         }
-        super.onNeighborChanged(world, tilePos, id);
+        super.onNeighborChanged(world, tilePos, block);
     }
 
     @Override
@@ -396,7 +396,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
 
     public static boolean shouldConnectTo(@NotNull WorldSource source, @NotNull TilePos tilePos, @NotNull Side side) {
         // TODO make connections handled per block rather then by the dust
-        final Block<?> block = source.getBlock(tilePos);
+        final Block<?> block = source.getBlockType(tilePos);
         if (block == null) {
             return false;
         }
@@ -426,8 +426,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         if (!(side2 == Side.TOP || side2 == Side.BOTTOM))
             return false; // Maybe some can generate a connection if placed below a block in the future?
 
-        int blockId = worldSource.getBlockId(tilePos);
-        return blockId == Blocks.WIRE_REDSTONE.id();
+        return worldSource.getBlockType(tilePos) == Blocks.WIRE_REDSTONE;
     }
 
     @Override
